[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# tvararray

Type describing variant array

## Declaration

Source position: varianth.inc line 83

`type tvararray = record`
`dimcount: Word;` |  | Number of dimensions
`flags: Word;` |  | Array flags.
`elementsize: LongInt;` |  | Size of one element in the array.
`lockcount: LongInt;` |  | Lock (reference) count of the array.
`data: pointer;` |  | Pointer to the array data.
`bounds: tvararrayboundarray;` |  | Array describing the bounds in the array.
`end;`

## Description

tvararray is a record describing a variant array. It contains some general data, followed by a number of TVarArrayBound records equal to the number of dimensions in the array (dimcoun).

## See also

TVarArrayBound |  | Type describing variant array bounds.

Documentation generated on: Feb 26 2014